### OpenLiteSpeed Web Server Users' Manual

##### Version 1.4 — Rev. 30

- License
- Introduction
- Installation
- Administration
  - Service Manager
- Security
- Configuration
  - Server General
  - Server Log
  - Server Tuning
  - Server Security
  - External Apps
  - Fast CGI App
  - Fast CGI Authorizer
  - LSAPI App
  - Servlet Engine
  - Web Server
  - Piped logger
  - Load Balancer
  - Script Handler
  - App Server Settings
  - Module Configuration
  - Listener General
  - Listener SSL
  - Virtual Host Templates
  - Virtual Host Basic
  - Virtual Host General
  - Virtual Host Security
  - Virtual Host SSL
  - Rewrite
  - Context
  - Static Context
  - Java Web App Context
  - Servlet Context
  - Fast CGI Context
  - LSAPI Context
  - Proxy Context
  - CGI Context
  - Load Balancer Context
  - Redirect Context
  - App Server Context
  - Module Handler Context
  - Web Socket Proxy
- Web Console
  - Admin Console General
  - Admin Console Security
  - Admin Listener General
  - Admin Listener SSL

# Compile PHP

## Table of Contents

### Extra PATH Environment Variables⇑

#### Description

Additional PATH values that will be appended to the current PATH environment variables for build scripts.

#### Syntax

path values separated by ":"

### Installation Path Prefix⇑

#### Description

Sets the value for the "--prefix" configure option. The default installation location is under LiteSpeed Web Server's install directory.

#### Syntax

path

#### Example

/usr/local/lsws/lsphp5

#### Tips

LiteSpeed Web Server can use multiple PHP versions at the same time. If you are installing multiple versions, you should give them different prefixes.

### Compiler Flags⇑

#### Description

Add additional compiler flags, like optimized compiler options.

#### Syntax

Supported flags are CFLAGS, CXXFLAGS, CPPFLAGS, LDFLAGS. Use a space to separate different flags. Use single quotes (not double quotes) for flag values.

#### Example

CFLAGS='-O3 -msse2 -msse3 -msse4.1 -msse4.2 -msse4 -mavx'

### Configure Parameters⇑

#### Description

Configure parameters for PHP build. Apache-specific parameters and "--prefix" value will be automatically removed and "--with-litespeed" will be automatically appended when you click Next Step. (Prefix can be set in the field above.) This way you can simply copy and paste the configure parameters from the phpinfo() output of an existing working PHP build.

#### Syntax

Space-delimited series of options (with or without double quotes)

### Add-on Modules⇑

#### Description

Select the add-on modules you wish to use. If you want to use a version not listed here, you can manually update the source code. (The location of the source code is shown in a prompt at this step of the PHP build.)

#### Syntax

Select from checkbox